from IPython.core.magic import register_magic_function, Magics, magics_class, line_magic, cell_magic

import sqlite3

@magics_class
class SQLMagic(Magics):
    def __init__(self, shell):
        super().__init__(shell)
        self.conn = sqlite3.connect('my_database.db')

    @cell_magic
    def sagemaker_sql(self, line, cell=None):
        query = cell if cell else line
        cursor = self.conn.cursor()
        cursor.execute(query)
        return cursor.fetchall()
